Page MenuHomePhabricator

[CatWatch] Links to history are incorrect
Closed, ResolvedPublic2 Story Points

Description

First of all: thank you for the new feature "watch changes in category membership"!!

One thing I noticed: the link to the page history isn't working (see attached screenshot, lowest line "05:37"). Clicking on "hist" opens the file description page, not its history.

And if there are more than one actions for a category (see screenshot "08:54") there are links that seem to point to the category's history ("2 changes" and "history") but actually they point to the first file's diff and history (i.e. "File:Simon pass.JPG").

This only happens if the "group changes by page" option is activated in the settings for recent changes. Otherwise there are no hist/diff links at all.

Details

Event Timeline

Thgoiter created this task.Aug 20 2015, 7:03 AM
Thgoiter raised the priority of this task from to Needs Triage.
Thgoiter updated the task description. (Show Details)
Thgoiter added a project: TCB-Team.
Thgoiter added a subscriber: Thgoiter.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2015, 7:03 AM
Thgoiter set Security to None.Aug 20 2015, 9:11 AM
Thgoiter added a subscriber: kai.nissen.
Thgoiter updated the task description. (Show Details)Aug 20 2015, 9:14 AM
Thgoiter updated the task description. (Show Details)
Thgoiter updated the task description. (Show Details)
Thgoiter updated the task description. (Show Details)Aug 20 2015, 4:06 PM
Ireas added a subscriber: Ireas.Aug 20 2015, 9:15 PM
AuFCL added a subscriber: AuFCL.Aug 20 2015, 9:27 PM
Addshore renamed this task from Links to history (feature "watch changes in category membership") to [CatWatch] Links to history (feature "watch changes in category membership").Aug 31 2015, 8:13 AM
Addshore added a subscriber: Addshore.

Change 233441 had a related patch set uploaded (by Addshore):
[WIP] Enable users to watch category membership changes (try #2)

https://gerrit.wikimedia.org/r/233441

Addshore renamed this task from [CatWatch] Links to history (feature "watch changes in category membership") to [CatWatch] Links to history are incorrect.Sep 1 2015, 2:31 PM
Addshore moved this task from Backlog to Review on the TCB-Team-Sprint-2015-08-26 board.
Addshore claimed this task.Sep 1 2015, 2:33 PM

In the current version of the patch the history links are disabled.
Once the first patch is up to scratch we can decide what we want to do here.

Addshore edited a custom field.Sep 2 2015, 8:56 AM
KasiaWMDE triaged this task as High priority.Sep 4 2015, 10:02 AM

Change 239065 had a related patch set (by Addshore) published:
Enable users to watch category membership changes #2

https://gerrit.wikimedia.org/r/239065

Change 233441 abandoned by Addshore:
Enable users to watch category membership changes #2

Reason:
Please see the following changes which have been factored out of this one:
https://gerrit.wikimedia.org/r/#/c/239061/
https://gerrit.wikimedia.org/r/#/c/239060/
https://gerrit.wikimedia.org/r/#/c/239065/

https://gerrit.wikimedia.org/r/233441

Change 239065 merged by jenkins-bot:
Enable users to watch category membership changes #2

https://gerrit.wikimedia.org/r/239065

Addshore closed this task as Resolved.Oct 20 2015, 9:54 PM
Addshore moved this task from Review to Done on the TCB-Team-Sprint-2015-10-14 board.
Addshore moved this task from Incoming to Done on the TCB-Team board.Nov 27 2015, 10:29 AM
AuFCL removed a subscriber: AuFCL.Nov 21 2016, 7:38 PM
Restricted Application added a project: User-Addshore. · View Herald TranscriptAug 28 2017, 10:42 AM